import PropTypes from 'prop-types';
import { useNearScreen } from '@s-ui/react-hooks';
import { jsx as _jsx } from "react/jsx-runtime";
export default function LazyContent(_ref) {
  var children = _ref.children,
    _ref$rootMargin = _ref.rootMargin,
    rootMargin = _ref$rootMargin === void 0 ? '100px 0px 0px' : _ref$rootMargin,
    placeholder = _ref.placeholder,
    height = _ref.height;
  var _useNearScreen = useNearScreen({
      offset: rootMargin
    }),
    isNearScreen = _useNearScreen[0],
    fromRef = _useNearScreen[1];
  if (isNearScreen) {
    return children;
  } else if (placeholder) {
    return /*#__PURE__*/_jsx("div", {
      className: "sui-PerfDynamicRendering-placeholder",
      ref: fromRef,
      children: placeholder
    });
  } else {
    return /*#__PURE__*/_jsx("div", {
      ref: fromRef,
      style: {
        height: height + "px",
        marginBottom: '1px'
      }
    });
  }
}